#ifndef __mytime_h__
#define __mytime_h__

#include <sys/time.h>
#include <assert.h>

double Time_GetSeconds() {
    struct timeval tv;
    int rc = gettimeofday(&tv, NULL);
    assert(rc == 0);

    return (double)tv.tv_sec + (double)tv.tv_usec/1e6;
}

#endif // __mytime_h__
